%define module	Authen-SASL
%define name	perl-%{module}
%define version 2.10
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SASL Authentication framework
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%define _requires_exceptions perl\(GSSAPI\)

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all protocols
should be able to share.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes api.txt
%{_mandir}/*/*
%{perl_vendorlib}/Authen

%changelog
* Mon Apr 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.10-3mdk
- Don't require optional module GSSAPI

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-2mdk
- fix description lines length

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- better summary and description
- drop useless explicit requires
- %%mkrel

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.09-1mdk
- 2.09

* Wed May 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.08-1mdk
- 2.08

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.07-1mdk
- 2.07

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.04-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Fri May 23 2003 Franois Pons <fpons@mandrakesoft.com> 2.04-1mdk
- 2.04.

* Fri Jan 24 2003 Franois Pons <fpons@mandrakesoft.com> 2.03-1mdk
- 2.03.

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 2.02-1mdk
- initial release (needed by perl-ldap >= 0.26).
